# Create Overdraft

The "Create Overdraft" endpoint allows customers to add overdrafts to their accounts. Customers can request to add an overdraft by providing the necessary account information, the desired overdraft limit, and other required parameters.&#x20;

<mark style="color:green;">`POST`</mark> `/api/accountoverdraft/v1/add`\
\
Upon successful completion, the overdraft will be added to the customer's account, giving them access to additional funds up to the specified limit.

**Headers**

| Name                                            | Value                |
| ----------------------------------------------- | -------------------- |
| Content-Type<mark style="color:red;">\*</mark>  | `application/json`   |
| Authorization<mark style="color:red;">\*</mark> | `Bearer <token>`     |
| Request-Reference                               | `{unique-reference}` |

**Body**

<table><thead><tr><th width="183">Name</th><th width="172">Data Type (length)</th><th width="107" data-type="checkbox">Required</th><th>Description</th></tr></thead><tbody><tr><td><code>accountNumber</code></td><td>string <a data-footnote-ref href="#user-content-fn-1"><em>(10)</em></a></td><td>true</td><td>The customer's account number (NUBAN) for the overdraft</td></tr><tr><td><code>limit</code></td><td>integer</td><td>true</td><td>The overdraft limit amount<br><br><em><mark style="color:orange;">The amount should be sent in the currency base unit. For example, 1000 naira will be sent as 1000 * 100</mark></em></td></tr><tr><td><code>tenure</code></td><td>integer</td><td>false</td><td>The tenure or duration of the overdraft in months</td></tr><tr><td><code>commencementDate</code></td><td>date</td><td>true</td><td>The start date of the overdraft</td></tr><tr><td><code>useDefaultFee</code></td><td>boolean</td><td>false</td><td>Indicates whether to use the default fee. Set <code>true</code> to use default and <code>false</code> to set your fee</td></tr><tr><td><code>feeCodes</code></td><td>array of objects</td><td>false</td><td>A list of fee codes must be provided if not using the default. Overdraft fees can be configured in the Fee Section on Udara 360.</td></tr><tr><td>└─ <code>feeCode</code></td><td>string</td><td>false</td><td>Specific fee code </td></tr><tr><td><code>feeAmount</code></td><td>integer</td><td>false</td><td>The fee amount, if not using the default</td></tr><tr><td><code>useDefaultInterest</code></td><td>boolean</td><td>false</td><td>Indicates whether to use the default interest rate</td></tr><tr><td><code>interestCode</code></td><td>string <a data-footnote-ref href="#user-content-fn-1"><em>(3)</em></a></td><td>false</td><td>If you don't want to use the default settings, you can customize the interest code. Credit interest configuration is available in the Fee Section of Udara 360</td></tr><tr><td><code>interestAmount</code></td><td>integer</td><td>false</td><td>Interest amount, if not using default</td></tr><tr><td><code>securityPledged</code></td><td>boolean</td><td>false</td><td>Indicates whether security is pledged for the overdraft by setting <code>true</code> for yes and <code>false</code> for no</td></tr><tr><td><code>securityType</code></td><td>string</td><td>false</td><td>Type of security pledged<br><br>The enumerations are:<br><code>1</code> = RealEstateAndLandAndBuilding<br><code>2</code> = Automobile<br><code>3</code> = PlantAndEquipment<br><code>4</code> = NaturalReserves<br><code>5</code> = MarketableSecurities<br><code>6</code> = AccountsReceivableAndInventory<br><code>7</code> = Cash<br><code>8</code> = PersonalGuarantees<br><code>9</code> = PostDatedCheques<br><code>10</code> = Dormicilliation<br><code>11</code> = HouseholdItems</td></tr><tr><td></td><td></td><td>false</td><td></td></tr><tr><td><code>securityValuation</code></td><td>integer</td><td>false</td><td>Valuation of the pledged security</td></tr><tr><td><code>description</code></td><td>string <a data-footnote-ref href="#user-content-fn-1"><em>(150)</em></a></td><td>false</td><td>Description or purpose of the overdraft</td></tr><tr><td><code>guarantorName</code></td><td>string <a data-footnote-ref href="#user-content-fn-1"><em>(100)</em></a></td><td>false</td><td>Name of the guarantor for the overdraft</td></tr><tr><td><code>guarantorPhoneNumber</code></td><td>string <a data-footnote-ref href="#user-content-fn-1"><em>(20)</em></a></td><td>false</td><td>Phone number of the guarantor</td></tr></tbody></table>

Here is an example request and response with a sample payload sent to the endpoint in Curl format.

<details>

<summary>Sample Request</summary>

```json
curl --location -g '{{baseurl}}/api/accountoverdraft/v1/add' \
--header 'Authorization: bearer {token}' \
--header 'request-reference: {unique_reference}' \
--header 'Content-Type: application/json' \
--data '{
  "accountNumber": "string",
  "limit": 0,
  "tenure": 0,
  "commencementDate": "2023-01-20T23:33:10.339Z",
  "useDefaultFee": true,
  "feeCodes": [
    {
      "feeCode": "string"
    }
  ],
  "feeAmount": 0,
  "useDefaultInterest": true,
  "interestCode": "string",
  "interestAmount": 0,
  "securityPledged": true,
  "securityType": "string",
  "securityValuation": 0,
  "description": "string",
  "guarantorName": "string",
  "guarantorPhoneNumber": "string"
}'
```

</details>

<details>

<summary>Respose: <code>200</code></summary>

```json
{
  "status": true,
  "message": "string",
  "data": {
    "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
  }
}
```

</details>

[^1]: This is the maximum number of characters allowed.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.udara360.io/udara360-docs-1/overdrafts-and-loans/markdown/create-overdraft.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
